Package io.vertx.ext.auth

## Class JWTOptions

- java.lang.Object
- - io.vertx.ext.auth.JWTOptions

-     public class JWTOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JWTOptions()` |
    `JWTOptions​(JsonObject json)` |
    `JWTOptions​(JWTOptions other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JWTOptions` | `addAudience​(String audience)` |
    `String` | `getAlgorithm()` |
    `List<String>` | `getAudience()` |
    `int` | `getExpiresInSeconds()` |
    `JsonObject` | `getHeader()` |
    `String` | `getIssuer()` |
    `int` | `getLeeway()` |
    `String` | `getNonceAlgorithm()` |
    `String` | `getSubject()` |
    `boolean` | `isIgnoreExpiration()` |
    `boolean` | `isNoTimestamp()` |
    `JWTOptions` | `setAlgorithm​(String algorithm)` |
    `JWTOptions` | `setAudience​(List<String> audience)` |
    `JWTOptions` | `setExpiresInMinutes​(int expiresInMinutes)` |
    `JWTOptions` | `setExpiresInSeconds​(int expires)` |
    `JWTOptions` | `setHeader​(JsonObject header)` |
    `JWTOptions` | `setIgnoreExpiration​(boolean ignoreExpiration)` |
    `JWTOptions` | `setIssuer​(String issuer)` |
    `JWTOptions` | `setLeeway​(int leeway)` |
    `JWTOptions` | `setNonceAlgorithm​(String nonceAlgorithm)` |
    `JWTOptions` | `setNoTimestamp​(boolean noTimestamp)` |
    `JWTOptions` | `setSubject​(String subject)` |
    `JsonObject` | `toJson()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWTOptions

          public JWTOptions()

    - #### JWTOptions

          public JWTOptions​(JWTOptions other)

    - #### JWTOptions

          public JWTOptions​(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getLeeway

          public int getLeeway()

    - #### setLeeway

          public JWTOptions setLeeway​(int leeway)

    - #### isIgnoreExpiration

          public boolean isIgnoreExpiration()

    - #### setIgnoreExpiration

          public JWTOptions setIgnoreExpiration​(boolean ignoreExpiration)

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public JWTOptions setAlgorithm​(String algorithm)

    - #### getHeader

          public JsonObject getHeader()

    - #### setHeader

          public JWTOptions setHeader​(JsonObject header)

    - #### isNoTimestamp

          public boolean isNoTimestamp()

    - #### setNoTimestamp

          public JWTOptions setNoTimestamp​(boolean noTimestamp)

    - #### getExpiresInSeconds

          public int getExpiresInSeconds()

    - #### setExpiresInSeconds

          public JWTOptions setExpiresInSeconds​(int expires)

    - #### setExpiresInMinutes

          public JWTOptions setExpiresInMinutes​(int expiresInMinutes)

    - #### getAudience

          public List<String> getAudience()

    - #### setAudience

          public JWTOptions setAudience​(List<String> audience)

    - #### addAudience

          public JWTOptions addAudience​(String audience)

    - #### getIssuer

          public String getIssuer()

    - #### setIssuer

          public JWTOptions setIssuer​(String issuer)

    - #### getSubject

          public String getSubject()

    - #### setSubject

          public JWTOptions setSubject​(String subject)

    - #### getNonceAlgorithm

          public String getNonceAlgorithm()

    - #### setNonceAlgorithm

          public JWTOptions setNonceAlgorithm​(String nonceAlgorithm)